
QGIS Application - Bug report #16277

Processing "Gdal Clip Vector Layer By Extent" and "Clip Vector by Polygons"

2017-03-03 10:17 AM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24187

Description

Both algorithms fail during the running giving both this error:

@2017-03-03T13:23:50    0    ogr2ogr -spat 1.653169014084507 4.682350352112676 3.218926056338028 6.329445422535212

-clipsrc spat_extent None

"/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/754c2e52a42e452f8484dc0c198c7f35/OUTPUTLAYER.shp"

/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/dc7dab16739743749d2d6d5b63f3613b/polys.shp polys

2017-03-03T13:23:50    0    GDAL execution console output

            FAILURE:

Unable to open datasource

`/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/754c2e52a42e452f8484dc0c198c7f35/OUTPUTLAYER.shp' with the

following drivers.

-> PCIDSK

-> netCDF

-> JP2OpenJPEG

-> PDF

-> ESRI Shapefile

-> MapInfo File

-> UK .NTF

-> OGR_SDTS

-> S57

-> DGN

-> OGR_VRT

-> REC

-> Memory

-> BNA

-> CSV

-> NAS

-> GML

-> GPX

-> LIBKML

-> KML

-> GeoJSON

-> Interlis 1

-> Interlis 2

-> OGR_GMT

-> GPKG

-> SQLite

-> OGR_DODS

-> ODBC
-> WAsP

-> PGeo

-> MSSQLSpatial

-> OGR_OGDI

-> PostgreSQL

-> MySQL

-> OpenFileGDB

-> XPlane

-> DXF

-> Geoconcept

-> GeoRSS

-> GPSTrackMaker

-> VFK

-> PGDUMP

-> OSM

-> GPSBabel

-> SUA

-> OpenAir

-> OGR_PDS

-> WFS

-> HTF

-> AeronavFAA

-> Geomedia

-> EDIGEO

-> GFT

-> SVG

-> CouchDB

-> Cloudant

-> Idrisi

-> ARCGEN

-> SEGUKOOA

-> SEGY

-> XLS

-> ODS

-> XLSX

-> ElasticSearch

-> Walk

-> Carto

-> AmigoCloud

-> SXF

-> Selafin

-> JML

-> PLSCENES

-> CSW

-> VDV

-> TIGER

-> AVCBin

-> AVCE00

-> HTTP

2017-03-03T13:23:50    2    Error loading result layer:

            Traceback (most recent call last):

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/gui/Postprocessing.py", line 75, in
handleAlgorithmResults

                out.name))

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/tools/dataobjects.py", line 223, in load

                + '\

Check the processing framework log to look for errors')

            RuntimeError: Could not load layer:

/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/754c2e52a42e452f8484dc0c198c7f35/OUTPUTLAYER.shp

            Check the processing framework log to look for errors@

History

#1 - 2017-03-06 03:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee changed from Victor Olaya to Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 3.0

Only master is affected or also 2.18.4?

#2 - 2017-04-30 01:01 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Description updated

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-07-20 07:13 PM - Giovanni Manghi

- Subject changed from Processing Gdal Clip Vector Layer By Extent and Clip Vector by Polygons to Processing "Gdal Clip Vector Layer By Extent" and 

"Clip Vector by Polygons"

- Assignee deleted (Giovanni Manghi)

- Priority changed from Normal to High

- Regression? changed from No to Yes

As they work ok on 2.18.10 I assume that at the time of the ticket was filed it referred to qgsi3/master. At this moment the GDAL algs are not even

available, leaving this open just as "reminder" that once the GDAL/OGR tools will be restored this ticket must be re-checked.

#5 - 2017-10-18 03:51 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

They seems to work ok on master/qgis3, please reopen if necessary.

2025-04-27 3/3


